| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Types | Public Member Functions | Protected Member Functions | Static Private Member Functions | List of all members
MyImageProcessingClasses.FeatureDetector Class Reference

Class to detecect marks using features comparison with model. More...

Inherits DisposableObject.

## Public Types
enum | RefrenceHue : byte { Red = 5, Green = 70, Blue = 160, Cyan = 120, Magenta = 200, Yellow = 40 }
| enum to specify reference hue. More...

## Public Member Functions
| FeatureDetector (Image< Bgr, Byte > featureModel, Byte referenceHue)
| Constructor. More...
void | DetectFeature (Image< Bgr, byte > img, List< Image< Gray, Byte >> featureList, List< Rectangle > boxList)
| Detect feature in given image. More...

## Protected Member Functions
override void | DisposeObject ()
| Free memory resources. More...

## Static Private Member Functions
static Image< Gray, Byte > | GetPixelMask (Image< Bgr, byte > image, Byte referenceHue)
| Compute the pixel mask for the given image. More...

## Detailed Description

Class to detecect marks using features comparison with model.

http://www.emgu.com/wiki/index.php/SURF_feature_detector_in_CSharp

Definition at line 608 of file MyImageProcessingClasses.cs.

## Member Enumeration Documentation

enum MyImageProcessingClasses.FeatureDetector.RefrenceHue : byte

enum to specify reference hue.

Enumerator
Red | Red color hue.
Green | Green color hue.
Blue | Blue color hue.
Cyan | Cyan hue.
Magenta | Magenta hue.
Yellow | Yellow hue.

Definition at line 623 of file MyImageProcessingClasses.cs.

## Constructor & Destructor Documentation

MyImageProcessingClasses.FeatureDetector.FeatureDetector | ( | Image< Bgr, Byte > | featureModel,
|  | Byte | referenceHue
| ) |  |

Constructor.

Parameters

  featureModel | Model image.
  referenceHue | Reference hue.

Definition at line 661 of file MyImageProcessingClasses.cs.

## Member Function Documentation

void MyImageProcessingClasses.FeatureDetector.DetectFeature | ( | Image< Bgr, byte > | img,
|  | List< Image< Gray, Byte >> | featureList,
|  | List< Rectangle > | boxList
| ) |  |

Detect feature in given image.

Parameters

  img | Image to be analyzed.
  featureList | List where detected features are stored.
  boxList | List of detected features' contour boxes.

Definition at line 811 of file MyImageProcessingClasses.cs.

override void MyImageProcessingClasses.FeatureDetector.DisposeObject | ( |  | ) |
| protected

Free memory resources.

Definition at line 837 of file MyImageProcessingClasses.cs.

static Image<Gray, Byte> MyImageProcessingClasses.FeatureDetector.GetPixelMask | ( | Image< Bgr, byte > | image,
|  | Byte | referenceHue
| ) |  |
| static private

Compute the pixel mask for the given image.

Parameters

  image | The color image to find mask from.
  referenceHue | Hue of reference color.

Returns
  Masked image.

Definition at line 696 of file MyImageProcessingClasses.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/MyImageProcessingClasses.cs